%define upstream_name    Nmap-Parser
%define upstream_version 1.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Parse nmap scan data with perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Nmap/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable) >= 2.0.0
BuildRequires: perl(XML::Twig) >= 3.160.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module implements a interface to the information contained in an nmap
scan. It is implemented by parsing the xml scan data that is generated by
nmap. This will enable anyone who utilizes nmap to quickly create fast and
robust security scripts that utilize the powerful port scanning abilities
of nmap.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.310.0-5.mga5
+ Revision: 746219
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.310.0-4.mga5
+ Revision: 732427
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.310.0-3.mga5
+ Revision: 685754
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.310.0-2.mga4
+ Revision: 527163
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.310.0-1.mga4
+ Revision: 439656
- update to 1.31

* Sun Jan 13 2013 umeabot <umeabot> 1.210.0-2.mga3
+ Revision: 370991
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.210.0-1.mga2
+ Revision: 107218
- update to 1.21

* Thu Jan 20 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 26765
- mageia rebuild
- imported package perl-Nmap-Parser


* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.200.0-1mdv2011.0
+ Revision: 586115
- import perl-Nmap-Parser

